﻿using Microsoft.AspNetCore.Http;
using Sharing.Province.Dtos.Extend;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.HuiJu.Send
{
    /// <summary>
    /// 服务工单拓展信息
    /// </summary>
    public class SubmitCaseExtendsRequest : ProvinceRequest<SubmitCaseExtendsInfo>
    {
        //业务汇聚-服务工单受理接口

        public override string GetRequestUrl() => "submit_case_extends";

        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 
    /// </summary>
    public class SubmitCaseExtendsInfoId
    {
        /// <summary>
        /// 
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public SubmitCaseExtendsInfo Info { get; set; }
    }

    /// <summary>
    /// 服务工单拓展信息
    /// </summary>
    public class SubmitCaseExtendsInfo
    {
        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 表单类型
        /// </summary>
        [JsonPropertyName("FORM_TYPE")]
        public string FormType { get; set; }

        /// <summary>
        /// 医疗工单
        /// </summary>
        [JsonPropertyName("FORM_MEDICAL")]
        public FormMedicalInfo FormMedical { get; set; }

        /// <summary>
        /// 电视购物及商铺购买退换货工单
        /// </summary>
        [JsonPropertyName("FORM_RETURNEXCHANGE")]
        public FormReturnexChangeInfo FormReturnexChange { get; set; }

        /// <summary>
        /// 电视台虚假广告工单
        /// </summary>
        [JsonPropertyName("FORM_SHAMPUB")]
        public FormShamPubInfo FormShamPub { get; set; }

        /// <summary>
        /// 高速公路工单
        /// </summary>
        [JsonPropertyName("FORM_EXPRESSWAY")]
        public FormExpressWayInfo FormExpressWay { get; set; }

        /// <summary>
        /// 四川政务服务网技术工单
        /// </summary>
        [JsonPropertyName("FORM_NETWORKTEC")]
        public FormNetWorktecInfo FormNetWorktec { get; set; }

        /// <summary>
        /// 12366投诉表单
        /// </summary>
        [JsonPropertyName("FORM_TAXATION_COMPLAINT")]
        public FormTaxationComplaintInfo FormTaxationComplaint { get; set; }

        /// <summary>
        /// 四川省12366热线咨询交办单
        /// </summary>
        [JsonPropertyName("FORM_TAXATION_CONSULTING")]
        public FormTaxationConsultingInfo FormTaxationConsulting { get; set; }

        /// <summary>
        /// 12328服务监督中心受理单
        /// </summary>
        [JsonPropertyName("FORM_TRAFFIC")]
        public FormTrafficInfo FormTraffic { get; set; }

        /// <summary>
        /// 邮政业消费者申诉受理信息
        /// </summary>
        [JsonPropertyName("FORM_POST")]
        public FormPostInfo FormPost { get; set; }

        /// <summary>
        /// 环保举报业务专业表单
        /// </summary>
        [JsonPropertyName("FORM_ENVIRONMENT")]
        public FormEnvironMentInfo FormEnvironMent { get; set; }

        /// <summary>
        /// 12315表单
        /// </summary>
        [JsonPropertyName("FORM_MARKET")]
        public FormMarketInfo FormMarket { get; set; }
    }
}
