﻿using Microsoft.AspNetCore.Http;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.HuiJu.Send
{
    /// <summary>
    /// 电话记录
    /// </summary>
    public class SubmitCaseRecordRequest : ProvinceRequest<SubmitCaseRecordData>
    {
        public override string GetRequestUrl() => "submit_case_record";

        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 电话记录
    /// </summary>
    public class SubmitCaseRecordData
    {
        [JsonPropertyName("jsonList")]
        public IReadOnlyList<CaseRecord> CaseRecords { get; set; }
    }

    /// <summary>
    /// 
    /// </summary>
    public class CaseRecord : BaseProvinceModel
    {
        /// <summary>
        /// 电话号码
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public string PhoneNumber { get; set; }

        /// <summary>
        /// 通话状态
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public string PhoneStatus { get; set; }

        /// <summary>
        /// 是否呼出
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public string IsPhoneCall { get; set; }

        /// <summary>
        /// 接通电话时间
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public DateTime? CallStart { get; set; }

        /// <summary>
        /// 通话结束时间
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public DateTime? CallEnd { get; set; }

        /// <summary>
        /// 进ivr时间
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public DateTime? InIvr { get; set; }

        /// <summary>
        /// 进队列时间
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public DateTime? InQueue { get; set; }

        /// <summary>
        /// 振铃时间
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public DateTime? CallTime { get; set; }

        /// <summary>
        /// 通话时长
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public int CallLength { get; set; }

        /// <summary>
        /// 坐席人员工号
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public string SeatNumber { get; set; }

        /// <summary>
        /// 录音路径
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public string AccordUrl { get; set; }
    }
}
