﻿using Microsoft.AspNetCore.Http;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.HuiJu.Send
{
    /// <summary>
    /// 统计数据
    /// </summary>
    public class SubmitCaseTotalRequest : ProvinceRequest<SubmitCaseTotalData>
    {
        //服务工单处理结果

        public override string GetRequestUrl() => "submit_case_total";

        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 统计数据
    /// </summary>
    public class SubmitCaseTotalData
    {
        [JsonPropertyName("jsonList")]
        public IReadOnlyList<CaseTotal> CaseTotals { get; set; }
    }

    /// <summary>
    /// 
    /// </summary>
    public class CaseTotal
    {
        /// <summary>
        /// 坐席数（个）
        /// </summary>
        [JsonPropertyName("SEATNUM")]
        public int SeatNum { get; set; }

        /// <summary>
        /// 坐席话务员数（个）
        /// </summary>
        [JsonPropertyName("SEATHWYNUM")]
        public int SeatHwyNum { get; set; }

        /// <summary>
        /// 催办总量
        /// </summary>
        [JsonPropertyName("CBZL")]
        public int CBZL { get; set; }

        /// <summary>
        /// 上报日期
        /// </summary>
        [JsonPropertyName("SUBMIT_DATE")]
        public DateTime? SubmitDate { get; set; } = DateTime.Now;

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }
    }
}
