﻿using Microsoft.AspNetCore.Http;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.HuiJu.Send
{
    /// <summary>
    /// 服务工单回访评价
    /// </summary>
    public class SubmitVisitInfoRequest : ProvinceRequest<SubmitVisitInfoData>
    {
        public override string GetRequestUrl() => "submit_visit_info";

        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 服务工单回访评价
    /// </summary>
    public class SubmitVisitInfoData
    {
        [JsonPropertyName("jsonList")]
        public IReadOnlyList<VisitInfo> VisitInfos { get; set; }
    }

    /// <summary>
    /// 
    /// </summary>
    public class VisitInfo : BaseModel
    {
        /// <summary>
        /// 回访评价方式
        /// </summary>
        [JsonPropertyName("VISIT_TYPE")]
        public string VisitType { get; set; }

        /// <summary>
        /// 回访人员
        /// </summary>
        [JsonPropertyName("VISIT_NAME")]
        public string VisitName { get; set; }

        /// <summary>
        /// 回访时间
        /// </summary>
        [JsonPropertyName("VISIT_TIME")]
        public DateTime? VisitTime { get; set; }

        /// <summary>
        /// 回访评价情况
        /// </summary>
        [JsonPropertyName("VISIT_REMARK")]
        public string VisitRemark { get; set; }

        /// <summary>
        /// 回访结果满意度
        /// </summary>
        [JsonPropertyName("SUBJECT_RESULT_SATIFY")]
        public string SubjectResultSatify { get; set; }

        /// <summary>
        /// 工单回访首次结果满意度
        /// </summary>
        [JsonPropertyName("FirstSatisfaction")]
        public string FirstSatisfaction { get; set; }
    }
}
