﻿using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos;

public abstract class ProvinceRequest<TData> : ProvinceRequest, IProvinceRequest<TData>
{
    [JsonPropertyName("paras")]
    public TData Data { get; set; }

    public void SetData(TData data) => Data = data;
}

public abstract class ProvinceRequest : IProvinceRequest
{
    public abstract string GetRequestUrl();

    public abstract string GetHttpMethod();

    [JsonPropertyName("token")]
    public ClientInfo ClientInfo { get; set; }

    public void BuildClientInfo(string clientId, string clientSecret) =>
        ClientInfo = new ClientInfo(clientId, clientSecret);
}