﻿using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Receive
{
    /// <summary>
    /// 上报工单评价
    /// </summary>
    public class GetVisitInfoSendRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public ClientInfo token { get; set; }

        /// <summary>
        /// 服务工单
        /// </summary>
        public GetVisitInfoSendModel paras { get; set; }
    }

    /// <summary>
    /// 上报工单评价
    /// </summary>
    public class GetVisitInfoSendModel : BaseModel
    {
        /// <summary>
        /// 回访评价方式
        /// </summary>
        [JsonPropertyName("VISIT_TYPE")]
        [MDisplayName("回访评价方式")]
        [VRequired]
        [VStringLength(0, 50)]
        public string VisitType { get; set; }

        /// <summary>
        /// 回访人
        /// </summary>
        [JsonPropertyName("VISIT_NAME")]
        [MDisplayName("回访人")]
        [VRequired]
        [VStringLength(0, 200)]
        public string VisitName { get; set; }

        /// <summary>
        /// 回访时间
        /// </summary>
        [JsonPropertyName("VISIT_TIME")]
        [MDisplayName("回访时间")]
        [VRequired]
        public DateTime? VisitTime { get; set; }

        /// <summary>
        /// 回访评价情况
        /// </summary>
        [JsonPropertyName("VISIT_REMARK")]
        [MDisplayName("回访评价情况")]
        [VRequired]
        [VStringLength(0, 1000)]
        public string VisitRemark { get; set; }

        /// <summary>
        /// 回访结果满意度
        /// </summary>
        [JsonPropertyName("SUBJECT_RESULT_SATIFY")]
        [MDisplayName("回访结果满意度")]
        [VRequired]
        [VStringLength(0, 4)]
        public string SubjectResultSatify { get; set; }
    }
}
