﻿using Hotline.Share.Dtos.Order;

namespace Sharing.Province.Dtos.XieTong.Receive
{
    /// <summary>
    /// 
    /// </summary>
    public class ReceiveCaseInfoAddOrderDto : AddOrderDto
    {
        /// <summary>
        /// 省编号
        /// </summary>
        public string ProvinceNo { get; set; }

        /// <summary>
        /// 热点分类省编码
        /// </summary>
        public string HotspotCode { get; set; }

        /// <summary>
        /// 服务代表姓名
        /// </summary>
        public string CaseRegister { get; set; }

        /// <summary>
        /// 服务代表工号
        /// </summary>
        public string CaseRegisterNo { get; set; }

        /// <summary>
        /// 登记时间
        /// </summary>
        public DateTime? CaseDate { get; set; }

        /// <summary>
        /// 处理方式
        /// </summary>
        public string CaseProcessType { get; set; }

        /// <summary>
        /// 是否公开
        /// </summary>
        public bool IsPublic { get; set; }

        /// <summary>
        /// 是否保密
        /// </summary>
        public bool IsSecrect { get; set; }

        /// <summary>
        /// 是否回访
        /// </summary>
        public bool IsVisit { get; set; }

        /// <summary>
        /// 应签收时限
        /// </summary>
        public DateTime? TSigntTmeBf { get; set; }

        /// <summary>
        /// 应办结时限
        /// </summary>
        public DateTime? TfdBackTimeBf { get; set; }

        /// <summary>
        /// 应退回时限
        /// </summary>
        public DateTime? TBackTimeBf { get; set; }

        /// <summary>
        /// 交办类型
        /// </summary>
        public string TaskType { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        public string AreaCode { get; set; }

        /// <summary>
        /// 诉求情感
        /// </summary>
        public string CaseEmotion { get; set; }

        /// <summary>
        /// 任务关联单guid
        /// </summary>
        public string TrowGuid { get; set; }

        /// <summary>
        /// 附件标识
        /// </summary>
        public string CliengGuid { get; set; }

        /// <summary>
        /// 建议类型 0：网站建议；1：网站建议；2：我要纠错
        /// </summary>
        public string AdviseType { get; set; }

        /// <summary>
        /// 建议部门
        /// </summary>
        public string AdviseDept { get; set; }

        /// <summary>
        /// 投诉类型
        /// </summary>
        public string ComplainType { get; set; }

        /// <summary>
        /// 投诉部门
        /// </summary>
        public string ComplainDept { get; set; }
    }
}
