﻿using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Receive
{
    /// <summary>
    /// 服务工单催单
    /// </summary>
    public class RemindCaseInfoRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public ClientInfo token { get; set; }

        /// <summary>
        /// 服务工单
        /// </summary>
        public RemindCaseInfoModel paras { get; set; }
    }

    /// <summary>
    /// 服务工单催单
    /// </summary>
    public class RemindCaseInfoModel : BaseModel
    {
        /// <summary>
        /// 催单时间
        /// </summary>
        [JsonPropertyName("REMIND_TIME")]
        [MDisplayName("催单时间")]
        [VRequired]
        public DateTime? RemindTime { get; set; }

        /// <summary>
        /// 操作人员
        /// </summary>
        [JsonPropertyName("REMIND_NAME")]
        [MDisplayName("操作人员")]
        [VRequired]
        [VStringLength(0, 200)]
        public string RemindName { get; set; }

        /// <summary>
        /// 催单理由
        /// </summary>
        [JsonPropertyName("REMIND_REASION")]
        [MDisplayName("催单理由")]
        [VRequired]
        public string RemindReasion { get; set; }
    }
}
