﻿using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Receive
{
    /// <summary>
    /// 服务工单撤单
    /// </summary>
    public class RevokeCaseInfoRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public ClientInfo token { get; set; }

        /// <summary>
        /// 服务工单
        /// </summary>
        public RevokeCaseInfoModel paras { get; set; }
    }

    /// <summary>
    /// 服务工单撤单
    /// </summary>
    public class RevokeCaseInfoModel : BaseModel
    {
        /// <summary>
        /// 撤单时间
        /// </summary>
        [JsonPropertyName("REVOKE_TIME")]
        [MDisplayName("撤单时间")]
        [VRequired]
        public DateTime? RevokeTime { get; set; }

        /// <summary>
        /// 撤单类型
        /// </summary>
        [JsonPropertyName("REVOKE_TYPE")]
        [MDisplayName("撤单类型")]
        [VRequired]
        [VStringLength(0, 24)]
        public string RevokeType { get; set; }

        /// <summary>
        /// 操作人员
        /// </summary>
        [JsonPropertyName("REVOKE_NAME")]
        [MDisplayName("操作人员")]
        [VRequired]
        [VStringLength(0, 200)]
        public string RevokeName { get; set; }

        /// <summary>
        /// 撤单理由
        /// </summary>
        [JsonPropertyName("REVOKE_REASION")]
        [MDisplayName("撤单理由")]
        [VRequired]
        public string RevokeReasion { get; set; }
    }
}
