﻿using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Receive
{
    /// <summary>
    /// 服务工单甄别结果
    /// </summary>
    public class ScreenCaseResultReceiveRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public ClientInfo token { get; set; }

        /// <summary>
        /// 服务工单
        /// </summary>
        public ScreenCaseResultReceiveModel paras { get; set; }
    }
    /// <summary>
    /// 服务工单甄别结果
    /// </summary>
    public class ScreenCaseResultReceiveModel : BaseModel
    {
        /// <summary>
        /// 审核结果是否通过
        /// </summary>
        [JsonPropertyName("AUDIT_RESULT")]
        [MDisplayName("审核结果是否通过")]
        [VRequired]
        [VStringLength(0, 10)]
        public string AuditResult { get; set; }

        /// <summary>
        /// 审核意见
        /// </summary>
        [JsonPropertyName("AUDIT_OPINION")]
        [MDisplayName("审核意见")]
        [VRequired]
        public string AuditOpinion { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        [JsonPropertyName("AUDIT_TIME")]
        [MDisplayName("审核时间")]
        [VRequired]
        public DateTime? AuditTime { get; set; }

        /// <summary>
        /// 审核部门
        /// </summary>
        [JsonPropertyName("AUDIT_OUNAME")]
        [MDisplayName("审核部门")]
        [VRequired]
        [VStringLength(0, 200)]
        public string AuditOuname { get; set; }

        /// <summary>
        /// 审核人
        /// </summary>
        [JsonPropertyName("AUDIT_PERSON")]
        [MDisplayName("审核人")]
        [VRequired]
        [VStringLength(0, 50)]
        public string AuditPerson { get; set; }
    }
}
