﻿using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Receive
{
    public class SendCaseEvlResultRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public ClientInfo token { get; set; }

        /// <summary>
        /// 服务工单
        /// </summary>
        public SendCaseEvlResultModel paras { get; set; }
    }
    /// <summary>
    /// 服务工单延时审核结果
    /// </summary>
    public class SendCaseEvlResultModel : BaseProvinceModel
    {
        /// <summary>
        /// 评价时间
        /// </summary>
        [JsonPropertyName("REPLY_TIME")]
        [MDisplayName("评价时间")]
        [VRequired]
        public DateTime? ReplyTime { get; set; }

        /// <summary>
        /// 评价内容
        /// </summary>
        [JsonPropertyName("REPLY_CONTENT")]
        [MDisplayName("评价内容")]
        [VRequired]
        public string ReplyContent { get; set; }

        /// <summary>
        /// 结果满意度
        /// </summary>
        [JsonPropertyName("RESULT_EVL")]
        [MDisplayName("结果满意度")]
        [VRequired]
        [VStringLength(0, 2)]
        public string ResultEvl { get; set; }

        /// <summary>
        /// 作风满意度
        /// </summary>
        [JsonPropertyName("STYLE_EVL")]
        [MDisplayName("作风满意度")]
        [VRequired]
        [VStringLength(0, 2)]
        public string StyleEvl { get; set; }
    }
}
