﻿using Microsoft.AspNetCore.Http;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Send
{
    /// <summary>
    /// 服务工单申请延时
    /// </summary>
    public class DelayCaseInfoSendRequest : ProvinceRequest<DelayCaseInfoSendInfo>
    {
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetRequestUrl() => "delay_case_info_send";

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 
    /// </summary>
    public class DelayCaseInfoSendInfo : BaseModel
    {
        /// <summary>
        /// 申请延期数量
        /// </summary>
        [JsonPropertyName("APPLY_DELAYNUM")]
        public int ApplyDelaynum { get; set; }

        /// <summary>
        /// 申请延期单位（工作日或工作小时）
        /// </summary>
        [JsonPropertyName("APPLY_DELAYUNIT")]
        public int ApplyDelayunit { get; set; }

        /// <summary>
        /// 申请人员
        /// </summary>
        [JsonPropertyName("APPLY_NAME")]
        public string ApplyName { get; set; }

        /// <summary>
        /// 申请时间
        /// </summary>
        [JsonPropertyName("APPLY_TIME")]
        public string ApplyTime { get; set; }

        /// <summary>
        /// 申请部门
        /// </summary>
        [JsonPropertyName("APPLY_OUNAME")]
        public string ApplyOuname { get; set; }

        /// <summary>
        /// 申请原因
        /// </summary>
        [JsonPropertyName("APPLY_REASON")]
        public string ApplyReason { get; set; }

        /// <summary>
        /// 申请类型
        /// </summary>
        [JsonPropertyName("APPLY_TYPE")]
        public string ApplyType { get; set; }
    }
}
