﻿using Microsoft.AspNetCore.Http;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Send
{
    /// <summary>
    /// 退回申请
    /// </summary>
    public class GetCaseBackApplyRequest : ProvinceRequest<GetCaseBackApplyInfo>
    {
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetRequestUrl() => "get_case_back_apply";

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 
    /// </summary>
    public class GetCaseBackApplyInfo : BaseModel
    {
        /// <summary>
        /// 办理操作
        /// </summary>
        [JsonPropertyName("BACK_TYPE")]
        public string BackType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [JsonPropertyName("DEAL_DEPT")]
        public string DealDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [JsonPropertyName("DEAL_NAME")]
        public string DealName { get; set; }

        /// <summary>
        /// 申请退回时间
        /// </summary>
        [JsonPropertyName("APPLY_TIME")]
        public DateTime? ApplyTime { get; set; }

        /// <summary>
        /// 退回原因
        /// </summary>
        [JsonPropertyName("BACKREASON")]
        public string BackReason { get; set; }
    }
}
