﻿using Microsoft.AspNetCore.Http;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Send
{
    /// <summary>
    /// 服务工单交办处理过程  
    /// </summary>
    public class GetCaseProcessReceiveRequest : ProvinceRequest<GetCaseProcessReceiveInfo>
    {
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetRequestUrl() => "get_case_process_receive";

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 
    /// </summary>
    public class GetCaseProcessReceiveInfo : BaseModel
    {
        /// <summary>
        /// 处理部门
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public string DeptName { get; set; }

        /// <summary>
        /// 环节名称
        /// </summary>
        [JsonPropertyName("TACHE_NAME")]
        public string TacheName { get; set; }

        /// <summary>
        /// 处理时间
        /// </summary>
        [JsonPropertyName("PROCESS_TIME")]
        public DateTime? ProcessTime { get; set; }

        /// <summary>
        /// 处理人员
        /// </summary>
        [JsonPropertyName("PROCESS_NAME")]
        public string ProcessName { get; set; }

        /// <summary>
        /// 处理意见
        /// </summary>
        [JsonPropertyName("PROCESS_NOTE")]
        public string ProcessNote { get; set; }

        /// <summary>
        /// 办理部门所在区、市、县行政区划代码
        /// </summary>
        [JsonPropertyName("END_AREACODE")]
        public string EndAreacode { get; set; }

        /// <summary>
        /// 办理部门所在区、市、县行政区划名称
        /// </summary>
        [JsonPropertyName("END_AREANAME")]
        public string EndAreaname { get; set; }

        /// <summary>
        /// 任务关联单 guid
        /// </summary>
        [JsonPropertyName("TROWGUID")]
        public string TrowGuid { get; set; }
    }
}
