﻿using Microsoft.AspNetCore.Http;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Send
{
    /// <summary>
    /// 服务工单交办评价
    /// </summary>
    public class GetVisitInfoReceiveRequest : ProvinceRequest<GetVisitInfoReceiveInfo>
    {
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetRequestUrl() => "get_visit_info_receive";

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 
    /// </summary>
    public class GetVisitInfoReceiveInfo : BaseModel
    {
        /// <summary>
        /// 回访评价方式
        /// </summary>
        [JsonPropertyName("VISIT_TYPE")]
        public string VisitType { get; set; }

        /// <summary>
        /// 回访人员
        /// </summary>
        [JsonPropertyName("VISIT_NAME")]
        public string VisitName { get; set; }

        /// <summary>
        /// 回访时间
        /// </summary>
        [JsonPropertyName("VISIT_TIME")]
        public string VisitTime { get; set; }

        /// <summary>
        /// 回访评价情况
        /// </summary>
        [JsonPropertyName("VISIT_REMARK")]
        public string VisitRemark { get; set; }

        /// <summary>
        /// 回访结果满意度
        /// </summary>
        [JsonPropertyName("SUBJECT_RESULT_SATIFY")]
        public string SubjectResultSatify { get; set; }

    }
}
