﻿using Microsoft.AspNetCore.Http;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Send
{
    /// <summary>
    /// 工单发起甄别
    /// </summary>
    public class ScreenCaseInfoSendRequest : ProvinceRequest<ScreenCaseInfoSendInfo>
    {
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetRequestUrl() => "screen_case_info_send";

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 工单发起甄别
    /// </summary>
    public class ScreenCaseInfoSendInfo : BaseModel
    {
        /// <summary>
        /// 申请人员
        /// </summary>
        [JsonPropertyName("APPLY_NAME")]
        public string ApplyName { get; set; }

        /// <summary>
        /// 申请时间
        /// </summary>
        [JsonPropertyName("APPLY_TIME")]
        public DateTime? ApplyTime { get; set; }

        /// <summary>
        /// 申请部门
        /// </summary>
        [JsonPropertyName("APPLY_OUNAME")]
        public string ApplyOuName { get; set; }

        /// <summary>
        /// 申请原因
        /// </summary>
        [JsonPropertyName("APPLY_REASON")]
        public string ApplyReason { get; set; }

        /// <summary>
        /// 申请人员
        /// </summary>
        [JsonPropertyName("APPLY_TYPE")]
        public string ApplyType { get; set; }



    }
}
