﻿using Microsoft.AspNetCore.Http;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Send
{
    /// <summary>
    /// 服务工单撤单
    /// </summary>
    public class SendRevokeCaseInfoRequest : ProvinceRequest<RevokeCaseInfoInfo>
    {
        public override string GetRequestUrl() => "revoke_case_info";

        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 服务工单撤单
    /// </summary>
    public class RevokeCaseInfoInfo : BaseModel
    {
        /// <summary>
        /// 撤单时间
        /// </summary>
        [JsonPropertyName("REVOKE_TIME")]
        public DateTime? RevokeTime { get; set; }

        /// <summary>
        /// 撤单类型
        /// </summary>
        [JsonPropertyName("REVOKE_TYPE")]
        public string RevokeType { get; set; }

        /// <summary>
        /// 操作人员
        /// </summary>
        [JsonPropertyName("REVOKE_NAME")]
        public string RevokeName { get; set; }

        /// <summary>
        /// 撤单理由
        /// </summary>
        [JsonPropertyName("REVOKE_REASION")]
        public string RevokeReasion { get; set; }
    }
}
