﻿using Microsoft.AspNetCore.Http;
using SqlSugar;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Send
{
    /// <summary>
    /// 服务工单督办结果
    /// </summary>
    public class SendSuperviseResultInfoRequest : ProvinceRequest<SendSuperviseResultInfoInfo>
    {
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetRequestUrl() => "send_supervise_result_info";

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 
    /// </summary>
    public class SendSuperviseResultInfoInfo
    {
        /// <summary>
        /// 督办编号
        /// </summary>
        [JsonPropertyName("SUPERVISE_SERIAL")]
        public string SuperviseSerial { get; set; }

        /// <summary>
        /// 办结姓名
        /// </summary>
        [JsonPropertyName("END_NAME")]
        public string EndName { get; set; }

        /// <summary>
        /// 办结时间
        /// </summary>
        [JsonPropertyName("END_DATE")]
        public DateTime? EndDate { get; set; }

        /// <summary>
        /// 反馈意见
        /// </summary>
        [JsonPropertyName("END_OPINION")]
        public string EndOpinion { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)")]
        public string CliengGuid { get; set; }
    }
}
