﻿using Microsoft.AspNetCore.Http;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Send
{
    /// <summary>
    /// 上报补充诉求
    /// </summary>
    public class SupplyCaseInfoSendRequest : ProvinceRequest<SupplyCaseInfoSendInfo>
    {
        public override string GetRequestUrl() => "supply_case_info_send";

        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 上报补充诉求
    /// </summary>
    public class SupplyCaseInfoSendInfo : BaseModel
    {
        /// <summary>
        /// 补充人员
        /// </summary>
        [JsonPropertyName("SUPPLY_NAME")]
        public string SupplyName { get; set; }

        /// <summary>
        /// 补充时间
        /// </summary>
        [JsonPropertyName("SUPPLY_TIME")]
        public DateTime? SupplyTime { get; set; }

        /// <summary>
        /// 补充内容
        /// </summary>
        [JsonPropertyName("SUPPLY_CONTENT")]
        public string SupplyContent { get; set; }
    }
}
