﻿using Microsoft.AspNetCore.Http;
using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Send
{
    /// <summary>
    /// 政民互动提交公开
    /// </summary>
    public class ZMHDCaseInfoPublicRequest : ProvinceRequest<ZMHDCaseInfoPublicInfo>
    {
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetRequestUrl() => "zmhd_case_info_public";

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetHttpMethod() => HttpMethods.Post;
    }

    /// <summary>
    /// 政民互动提交公开
    /// </summary>
    public class ZMHDCaseInfoPublicInfo : BaseProvinceModel
    {
        /// <summary>
        /// 部门答复时间
        /// </summary>
        [JsonPropertyName("ANSWER_TIME")]
        public DateTime? AnswerTime { get; set; }

        /// <summary>
        /// 答复部门名称
        /// </summary>
        [JsonPropertyName("ANSWER_OU")]
        public string AnswerOu { get; set; }

        /// <summary>
        /// 答复内容
        /// </summary>
        [JsonPropertyName("ANSWER_CONTENT")]
        public string AnswerContent { get; set; }

        /// <summary>
        /// 初审人姓名
        /// </summary>
        [JsonPropertyName("AUDIT_FIRST_NAME")]
        public string AuditFirstName { get; set; }

        /// <summary>
        /// 初审时间
        /// </summary>
        [JsonPropertyName("AUDIT_FIRST_TIME")]
        public DateTime? AuditFirstTime { get; set; }

        /// <summary>
        /// 二审人姓名
        /// </summary>
        [JsonPropertyName("AUDIT_SECOND_NAME")]
        public string AuditSecondName { get; set; }

        /// <summary>
        /// 公开时间
        /// </summary>
        [JsonPropertyName("PUBLISH_DATE")]
        public DateTime? PublishDate { get; set; }

        /// <summary>
        /// 公开意见
        /// </summary>
        [JsonPropertyName("PUBLIC_OPINION")]
        public string PublicOpinion { get; set; }
    }
}
