﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
using IdentityModel.Client;
using Sharing.Extensions;
using XF.Domain.Exceptions;

namespace Sharing.Province.Extensions
{
    public static class HttpClientExtensions
    {
        public static HttpClient BuildHeader(this HttpClient httpClient, string token)
        {
            if (string.IsNullOrEmpty(token))
                throw new UserFriendlyException("无效token");
            httpClient.SetBearerToken(token);
            httpClient.DefaultRequestHeaders.Accept.Add(new MediaTypeWithQualityHeaderValue("application/json"));

            return httpClient;
        }

        public static HttpClient SetHttpClient(this HttpClient httpClient, string baseAddress, string token) => 
            httpClient.SetBaseAddress(baseAddress).BuildHeader(token);
    }
}
