﻿using Sharing.Province.Dtos;
using Sharing.Province.Dtos.HuiJu.Send;
using Sharing.Province.Dtos.XieTong.Knowledge;
using Sharing.Province.Dtos.XieTong.Send;
namespace Sharing.Province;

/// <summary>
/// 
/// </summary>
public interface IProvincePusher
{
    #region 协同-第一批次
    /// <summary>
    /// 服务工单交办处理
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushGetCaseResultReceiveAsync(GetCaseResultReceiveRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 服务工单交办处理过程
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushGetCaseProcessReceiveAsync(GetCaseProcessReceiveRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 服务工单交办评价
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushGetVisitInfoReceiveAsync(GetVisitInfoReceiveRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 退回申请
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushGetCaseBackApplyAsync(GetCaseBackApplyRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 服务工单申请延时
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushDelayCaseInfoSendAsync(DelayCaseInfoSendRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 服务工单督办过程
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSendSuperviseProcessInfoAsync(SendSuperviseProcessInfoRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 服务工单督办结果
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSendSuperviseResultInfoAsync(SendSuperviseResultInfoRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 工单发起甄别接
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushScreenCaseInfoSendAsync(ScreenCaseInfoSendRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 政民互动提交公开
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushZMHDCaseInfoPublicAsync(ZMHDCaseInfoPublicRequest request, CancellationToken cancellationToken);

    #endregion

    #region 汇聚-第二批次
    /// <summary>
    /// 服务工单受理
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushOrderCreatedAsync(SubmitCaseInfoRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 服务工单处理结果
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSubmitCaseResultAsync(SubmitCaseResultRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 服务工单处理过程
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSubmitCaseProcessAsync(SubmitCaseProcessRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 服务工单回访评价
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSubmitVisitInfoAsync(SubmitVisitInfoRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 电话记录
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSubmitCaseRecordAsync(SubmitCaseRecordRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 统计数据
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSubmitCaseTotalAsync(SubmitCaseTotalRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 服务工单拓展信息
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSubmitCaseExtendsAsync(SubmitCaseExtendsRequest request, CancellationToken cancellationToken);

    #endregion

    #region 协同-第三批次
    /// <summary>
    /// 服务工单上报
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSendCaseInfoAsync(SendCaseInfoRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 上报补充诉求
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSupplyCaseInfoSendAsync(SupplyCaseInfoSendRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 服务工单撤单
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushRevokeCaseInfoAsync(SendRevokeCaseInfoRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 服务工单催单
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSendRemindCaseInfoAsync(SendRemindCaseInfoRequest request, CancellationToken cancellationToken);
    #endregion

    #region 协同-第四批次
    /// <summary>
    /// 知识库上报
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushGetKnowledgeInfoSendAsync(GetKnowledgeInfoSendRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 知识库变更
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushGetKnowledgeInfoUpdateAsync(GetKnowledgeInfoUpdateRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 知识库下架
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushGetKnowledgeInfoAbandonAsync(GetKnowledgeInfoAbandonRequest request, CancellationToken cancellationToken);

    /// <summary>
    /// 实时服务上报
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<BaseProvinceResponse> PushSendRealTimeStatusAsync(SendRealTimeStatusRequest request, CancellationToken cancellationToken);
    #endregion
}