﻿using XF.Domain.Dependency;

namespace Sharing.Province;

public class PusherProvider : IScopeDependency, ISelfDependency
{
    private readonly HuiJuClient _huiJuClient;
    private readonly XieTongClient _xieTongClient;

    public PusherProvider(HuiJuClient huiJuClient, XieTongClient xieTongClient)
    {
        _huiJuClient = huiJuClient;
        _xieTongClient = xieTongClient;
    }

    public IProvincePusher CreatePusher(IChannelConfigurationManager channelConfigurationManager)
    {
        var configProvince = channelConfigurationManager.GetConfigurationProvince();
        return configProvince.Scheme switch
        {
            ConfigurationConsts.SchemeDefault => new DefaultPusher(_huiJuClient, _xieTongClient),
            ConfigurationConsts.SchemeSmart => new SmartPusher(),
            _ => new DefaultPusher(_huiJuClient, _xieTongClient)
        };
    }
}