﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.Extend
{
    /// <summary>
    /// 环保举报业务专业表单
    /// </summary>
    [Description("环保举报业务专业表单")]
    public class FormEnvironMent : FullStateEntity
    {
        /// <summary>
        /// 扩展主表ID  
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(50)")]
        public string RCEId { get; set; }

        /// <summary>
        /// 邮箱 
        /// </summary>
        [SugarColumn(ColumnDescription = "邮箱", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string ComplaintMailBox { get; set; }

        /// <summary>
        /// 通讯地址 
        /// </summary>
        [SugarColumn(ColumnDescription = "通讯地址", ColumnDataType = "varchar(500)", IsNullable = true)]
        public string PostalAddress { get; set; }

        /// <summary>
        /// 举报对象 
        /// </summary>
        [SugarColumn(ColumnDescription = "举报对象", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string ReportObject { get; set; }

        /// <summary>
        /// 详细地址 
        /// </summary>
        [SugarColumn(ColumnDescription = "详细地址", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string DetailedAddr { get; set; }

        /// <summary>
        /// 行业类型 
        /// </summary>
        [SugarColumn(ColumnDescription = "行业类型", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string IndustryType { get; set; }

        /// <summary>
        /// 重点要素 
        /// </summary>
        [SugarColumn(ColumnDescription = "重点要素", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string KeyPoint { get; set; }
    }
}
