﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.Extend
{
    /// <summary>
    /// 高速公路工单
    /// </summary>
    [Description("高速公路工单")]
    public class FormExpressWay : FullStateEntity
    {
        /// <summary>
        /// 扩展主表ID  
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(50)")]
        public string RCEId { get; set; }

        /// <summary>
        /// 高速入口  
        /// </summary>
        [SugarColumn(ColumnDescription = "高速入口", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string InWay { get; set; }

        /// <summary>
        /// 高速出口  
        /// </summary>
        [SugarColumn(ColumnDescription = "高速出口", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string OutWay { get; set; }

        /// <summary>
        /// 发生时间  
        /// </summary>
        [SugarColumn(ColumnDescription = "发生时间")]
        public DateTime? OperateDate { get; set; }

        /// <summary>
        /// 车牌号  
        /// </summary>
        [SugarColumn(ColumnDescription = "车牌号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string CardNum { get; set; }
    }
}
