﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.Extend
{
    /// <summary>
    /// 12315表单
    /// </summary>
    [Description("12315表单")]
    public class FormMarket : FullStateEntity
    {
        /// <summary>
        /// 扩展主表ID  
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(50)")]
        public string RCEId { get; set; }

        /// <summary>
        /// 表单类型  投诉:20举报:25咨询:10
        /// </summary>
        [SugarColumn(ColumnDescription = "表单类型", ColumnDataType = "varchar(20)")]
        public string Rqsttypy { get; set; }

        /// <summary>
        /// 投诉问题类别
        /// </summary>
        [SugarColumn(ColumnDescription = "投诉问题类别", ColumnDataType = "varchar(20)")]
        public string ApplBasQue { get; set; }

        /// <summary>
        /// 投诉问题类别名称
        /// </summary>
        [SugarColumn(ColumnDescription = "投诉问题类别名称", ColumnDataType = "varchar(400)")]
        public string ApplBasQueName { get; set; }

        /// <summary>
        /// 专利号
        /// </summary>
        [SugarColumn(ColumnDescription = "专利号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string Zlh { get; set; }

        /// <summary>
        /// 专利号
        /// </summary>
        [SugarColumn(ColumnDescription = "专利号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string Zlqr { get; set; }

        /// <summary>
        /// 发明名称
        /// </summary>
        [SugarColumn(ColumnDescription = "发明名称", ColumnDataType = "varchar(20)", IsNullable = true)]
        public string Fmmc { get; set; }

        /// <summary>
        /// 专利类型
        /// </summary>
        [SugarColumn(ColumnDescription = "专利类型", ColumnDataType = "varchar(2)", IsNullable = true)]
        public string Zllx { get; set; }

        /// <summary>
        /// 专利类型名称
        /// </summary>
        [SugarColumn(ColumnDescription = "专利类型名称", ColumnDataType = "varchar(255)", IsNullable = true)]
        public string ZllxMc { get; set; }

        /// <summary>
        /// 实际经营地代码
        /// </summary>
        [SugarColumn(ColumnDescription = "实际经营地代码", ColumnDataType = "varchar(9)", IsNullable = true)]
        public string Accsce { get; set; }

        /// <summary>
        /// 实际经营地详细地址
        /// </summary>
        [SugarColumn(ColumnDescription = "实际经营地详细地址", ColumnDataType = "varchar(150)", IsNullable = true)]
        public string Sfdd { get; set; }

        /// <summary>
        /// 争议发生时间
        /// </summary>
        [SugarColumn(ColumnDescription = "争议发生时间", IsNullable = true)]
        public DateTime? ControversyTime { get; set; }

        /// <summary>
        /// 诉求内容
        /// </summary>
        [SugarColumn(ColumnDescription = "诉求内容", ColumnDataType = "varchar(2000)", IsNullable = true)]
        public string AppealContent { get; set; }

        /// <summary>
        /// 登记部门编码
        /// </summary>
        [SugarColumn(ColumnDescription = "登记部门编码", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string HandDepCode { get; set; }

        /// <summary>
        /// 登记部门名称
        /// </summary>
        [SugarColumn(ColumnDescription = "登记部门名称", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string HandDep { get; set; }

        /// <summary>
        /// 坐席工号
        /// </summary>
        [SugarColumn(ColumnDescription = "坐席工号", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string Zxgh { get; set; }

        /// <summary>
        /// 受理登记人编码
        /// </summary>
        [SugarColumn(ColumnDescription = "受理登记人编码", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string AccregperId { get; set; }

        /// <summary>
        /// 受理登记人名称
        /// </summary>
        [SugarColumn(ColumnDescription = "受理登记人名称", ColumnDataType = "varchar(70)", IsNullable = true)]
        public string AccregperName { get; set; }

        /// <summary>
        /// 登记信息录入时间
        /// </summary>
        [SugarColumn(ColumnDescription = "登记信息录入时间", IsNullable = true)]
        public DateTime? RegTime { get; set; }

        /// <summary>
        /// 登记信息提交时间
        /// </summary>
        [SugarColumn(ColumnDescription = "登记信息提交时间", IsNullable = true)]
        public DateTime? CmTime { get; set; }

        /// <summary>
        /// 商品服务类别编码
        /// </summary>
        [SugarColumn(ColumnDescription = "商品服务类别编码", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string OBType { get; set; }

        /// <summary>
        /// 商品服务类别名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商品服务类别名称", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string OBTypeName { get; set; }

        /// <summary>
        /// 商品服务名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商品服务名称", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string MdseName { get; set; }

        /// <summary>
        /// 销售方式
        /// </summary>
        [SugarColumn(ColumnDescription = "销售方式", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string SaleMode { get; set; }

        /// <summary>
        /// 投诉目标：网购时必填项选择【1：投诉电商平台2：投诉电商平台入驻商户】
        /// </summary>
        [SugarColumn(ColumnDescription = "投诉目标", ColumnDataType = "varchar(2)", IsNullable = true)]
        public string DsptType { get; set; }

        /// <summary>
        /// 电商平台代码
        /// </summary>
        [SugarColumn(ColumnDescription = "电商平台代码", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string DsptCode { get; set; }

        /// <summary>
        /// 电商平台名称
        /// </summary>
        [SugarColumn(ColumnDescription = "电商平台名称", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string DsptName { get; set; }

        /// <summary>
        /// 品牌代码/品牌ID
        /// </summary>
        [SugarColumn(ColumnDescription = "品牌代码/品牌ID", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string BrandCode { get; set; }

        /// <summary>
        /// 品牌名称
        /// </summary>
        [SugarColumn(ColumnDescription = "品牌名称", ColumnDataType = "varchar(255)", IsNullable = true)]
        public string BrandName { get; set; }

        /// <summary>
        /// 订单号
        /// </summary>
        [SugarColumn(ColumnDescription = "订单号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string BIdNo { get; set; }

        /// <summary>
        /// 消费金额
        /// </summary>
        [SugarColumn(ColumnDescription = "消费金额", IsNullable = true)]
        public decimal? InvoAm { get; set; }

        /// <summary>
        /// 具体渠道类型 1 电视购物 ;2 电话购物;3 邮购（销售方式是“电视电话购物及邮购”时必填）
        /// </summary>
        [SugarColumn(ColumnDescription = "具体渠道类型", ColumnDataType = "varchar(20)", IsNullable = true)]
        public string Jtqdtype { get; set; }

        /// <summary>
        /// 具体渠道内容
        /// </summary>
        [SugarColumn(ColumnDescription = "具体渠道内容", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string Jtqdname { get; set; }

        /// <summary>
        /// 产品名称
        /// </summary>
        [SugarColumn(ColumnDescription = "产品名称", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string ProdName { get; set; }

        /// <summary>
        /// 批准文号
        /// </summary>
        [SugarColumn(ColumnDescription = "批准文号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string ProdAppNo { get; set; }

        /// <summary>
        /// 产品批号
        /// </summary>
        [SugarColumn(ColumnDescription = "产品批号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string ProdPatchNo { get; set; }

        /// <summary>
        /// 产品规格
        /// </summary>
        [SugarColumn(ColumnDescription = "产品规格", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string ProdTypeSpf { get; set; }

        /// <summary>
        /// 生产厂家
        /// </summary>
        [SugarColumn(ColumnDescription = "生产厂家", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string ProdFty { get; set; }

        /// <summary>
        /// 销售企业
        /// </summary>
        [SugarColumn(ColumnDescription = "销售企业", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string ProdSalEnt { get; set; }

        /// <summary>
        /// 产品有效期
        /// </summary>
        [SugarColumn(ColumnDescription = "产品有效期", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string ProdValid { get; set; }

        /// <summary>
        /// 消费者地址
        /// </summary>
        [SugarColumn(ColumnDescription = "消费者地址", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string ProviderAddr { get; set; }

        /// <summary>
        /// 企业名称
        /// </summary>
        [SugarColumn(ColumnDescription = "企业名称", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string Invopt { get; set; }

        /// <summary>
        /// 所在行业类型代码
        /// </summary>
        [SugarColumn(ColumnDescription = "所在行业类型代码", ColumnDataType = "varchar(64)", IsNullable = true)]
        public string UBindType { get; set; }

        /// <summary>
        /// 所在行业类型名称
        /// </summary>
        [SugarColumn(ColumnDescription = "所在行业类型名称", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string UBindTypeName { get; set; }

        /// <summary>
        /// 市场主体类型代码
        /// </summary>
        [SugarColumn(ColumnDescription = "市场主体类型代码", ColumnDataType = "varchar(64)", IsNullable = true)]
        public string EntType { get; set; }

        /// <summary>
        /// 市场主体类型名称
        /// </summary>
        [SugarColumn(ColumnDescription = "市场主体类型名称", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string EntTypeName { get; set; }

        /// <summary>
        /// 企业所属行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "企业所属行政区划代码", ColumnDataType = "varchar(64)", IsNullable = true)]
        public string ReqUnit { get; set; }

        /// <summary>
        /// 企业注册地址
        /// </summary>
        [SugarColumn(ColumnDescription = "企业注册地址", ColumnDataType = "varchar(500)", IsNullable = true)]
        public string Addr { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        [SugarColumn(ColumnDescription = "联系人", ColumnDataType = "varchar(70)", IsNullable = true)]
        public string Sjztlxr { get; set; }

        /// <summary>
        /// 统一社会信用代码
        /// </summary>
        [SugarColumn(ColumnDescription = "统一社会信用代码", ColumnDataType = "varchar(70)", IsNullable = true)]
        public string Nbxh { get; set; }

        /// <summary>
        /// 注册号
        /// </summary>
        [SugarColumn(ColumnDescription = "注册号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string RegNo { get; set; }

        /// <summary>
        /// 证件类型
        /// </summary>
        [SugarColumn(ColumnDescription = "证件类型", ColumnDataType = "varchar(10)", IsNullable = true)]
        public string CertType { get; set; }

        /// <summary>
        /// 证件类型名称
        /// </summary>
        [SugarColumn(ColumnDescription = "证件类型名称", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string CertTypeName { get; set; }

        /// <summary>
        /// 证件号码
        /// </summary>
        [SugarColumn(ColumnDescription = "证件号码", ColumnDataType = "varchar(64)", IsNullable = true)]
        public string CertNo { get; set; }

        /// <summary>
        /// 提供方类型
        /// </summary>
        [SugarColumn(ColumnDescription = "提供方类型", ColumnDataType = "varchar(4)", IsNullable = true)]
        public string ReveType { get; set; }

        /// <summary>
        /// 提供方类型名称
        /// </summary>
        [SugarColumn(ColumnDescription = "提供方类型名称", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string ReveTypeName { get; set; }

        /// <summary>
        /// 国籍
        /// </summary>
        [SugarColumn(ColumnDescription = "国籍", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string Nationality { get; set; }

        /// <summary>
        /// 国籍名称
        /// </summary>
        [SugarColumn(ColumnDescription = "国籍名称", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string NationalityName { get; set; }

        /// <summary>
        /// 民族
        /// </summary>
        [SugarColumn(ColumnDescription = "民族", ColumnDataType = "varchar(4)", IsNullable = true)]
        public string Folk { get; set; }

        /// <summary>
        /// 民族名称
        /// </summary>
        [SugarColumn(ColumnDescription = "民族名称", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string FolkName { get; set; }

        /// <summary>
        /// 提供方身份
        /// </summary>
        [SugarColumn(ColumnDescription = "提供方身份", ColumnDataType = "varchar(10)", IsNullable = true)]
        public string Peride { get; set; }

        /// <summary>
        /// 提供方身份名称
        /// </summary>
        [SugarColumn(ColumnDescription = "提供方身份名称", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string PerideName { get; set; }

        /// <summary>
        /// 电子邮箱
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string ProviderMail { get; set; }

        /// <summary>
        /// 其他联系方式
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(64)", IsNullable = true)]
        public string Qtlxfs { get; set; }

        /// <summary>
        /// 咨询内容
        /// </summary>
        [SugarColumn(ColumnDescription = "咨询内容", ColumnDataType = "varchar(2000)", IsNullable = true)]
        public string ApplIdiQue { get; set; }

        /// <summary>
        /// 咨询范围
        /// </summary>
        [SugarColumn(ColumnDescription = "咨询范围", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string ConlrangeCode { get; set; }

        /// <summary>
        /// 咨询范围名称
        /// </summary>
        [SugarColumn(ColumnDescription = "咨询范围名称", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string ConlrangeName { get; set; }

        /// <summary>
        /// 答复内容
        /// </summary>
        [SugarColumn(ColumnDescription = "答复内容", ColumnDataType = "varchar(2000)", IsNullable = true)]
        public string Fknr { get; set; }

        /// <summary>
        /// 邮政编码
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(10)", IsNullable = true)]
        public string Yzbm { get; set; }

        /// <summary>
        /// 年龄段
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(10)", IsNullable = true)]
        public string AgeGroup { get; set; }

        /// <summary>
        /// 年龄段名称
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string AgeGroupName { get; set; }

    }
}
