﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.Extend
{
    /// <summary>
    /// 医疗工单     
    /// </summary>
    [Description("医疗工单")]
    public class FormMedical : FullStateEntity
    {
        /// <summary>
        /// 扩展主表ID  
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(50)")]
        public string RCEId { get; set; }

        /// <summary>
        /// 医院名称
        /// </summary>
        [SugarColumn(ColumnDescription = "医院名称", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string MedicalName { get; set; }

        /// <summary>
        /// 医院地址
        /// </summary>
        [SugarColumn(ColumnDescription = "医院地址", ColumnDataType = "varchar(500)", IsNullable = true)]
        public string MedicalAddr { get; set; }

        /// <summary>
        /// 科室
        /// </summary>
        [SugarColumn(ColumnDescription = "科室", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string DepartMent { get; set; }

        /// <summary>
        /// 医生
        /// </summary>
        [SugarColumn(ColumnDescription = "医生", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string Doctor { get; set; }

        /// <summary>
        /// 患者姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "患者姓名", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string PatientName { get; set; }

        /// <summary>
        /// 就诊卡号
        /// </summary>
        [SugarColumn(ColumnDescription = "就诊卡号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string ClinicCardNum { get; set; }

        /// <summary>
        /// 患者身份证号
        /// </summary>
        [SugarColumn(ColumnDescription = "患者身份证号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string CardNum { get; set; }
    }
}
