﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.Extend
{
    /// <summary>
    /// 邮政业消费者申诉受理信息
    /// </summary>
    [Description("邮政业消费者申诉受理信息")]
    public class FormPost : FullStateEntity
    {
        /// <summary>
        /// 扩展主表ID  
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(50)")]
        public string RCEId { get; set; }

        /// <summary>
        /// 申诉人姓名 
        /// </summary>
        [SugarColumn(ColumnDescription = "申诉人姓名", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string AppealName { get; set; }

        /// <summary>
        /// 申诉人电话 
        /// </summary>
        [SugarColumn(ColumnDescription = "申诉人电话", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string AppealNum { get; set; }

        /// <summary>
        /// 申诉企业 
        /// </summary>
        [SugarColumn(ColumnDescription = "申诉企业", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string AppealEnterprise { get; set; }

        /// <summary>
        /// 寄件人姓名 
        /// </summary>
        [SugarColumn(ColumnDescription = "寄件人姓名", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string SenderName { get; set; }

        /// <summary>
        /// 寄件人电话 
        /// </summary>
        [SugarColumn(ColumnDescription = "寄件人电话", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string SenderNum { get; set; }

        /// <summary>
        /// 寄件人地址 
        /// </summary>
        [SugarColumn(ColumnDescription = "寄件人地址", ColumnDataType = "varchar(500)", IsNullable = true)]
        public string SenderAddr { get; set; }

        /// <summary>
        /// 收件人姓名 
        /// </summary>
        [SugarColumn(ColumnDescription = "收件人姓名", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string AddresseeName { get; set; }

        /// <summary>
        /// 收件人电话 
        /// </summary>
        [SugarColumn(ColumnDescription = "收件人电话", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string AddresseeNum { get; set; }

        /// <summary>
        /// 收件人地址 
        /// </summary>
        [SugarColumn(ColumnDescription = "收件人地址", ColumnDataType = "varchar(500)", IsNullable = true)]
        public string AddresseeAddr { get; set; }

        /// <summary>
        /// 涉及金额 
        /// </summary>
        [SugarColumn(ColumnDescription = "涉及金额")]
        public double? InsuredPrice { get; set; }

        /// <summary>
        /// 是否联系快递公司投诉 
        /// </summary>
        [SugarColumn(ColumnDescription = "是否联系快递公司投诉", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string IsContact { get; set; }

        /// <summary>
        /// 处理结果 
        /// </summary>
        [SugarColumn(ColumnDescription = "处理结果", ColumnDataType = "text", IsNullable = true)]
        public string OperateResult { get; set; }
    }
}
