﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.Extend
{
    /// <summary>
    /// 电视购物及商铺购买退换货工单
    /// </summary>
    [Description("电视购物及商铺购买退换货工单")]
    public class FormReturnexChange : FullStateEntity
    {
        /// <summary>
        /// 扩展主表ID  
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(50)")]
        public string RCEId { get; set; }

        /// <summary>
        /// 电视台（商铺）  
        /// </summary>
        [SugarColumn(ColumnDescription = "电视台（商铺）", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string SubjectName { get; set; }

        /// <summary>
        /// 购买时间  
        /// </summary>
        [SugarColumn(ColumnDescription = "购买时间")]
        public DateTime? PurchaseTime { get; set; }

        /// <summary>
        /// 产品名称  
        /// </summary>
        [SugarColumn(ColumnDescription = "产品名称", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string ProductName { get; set; }

        /// <summary>
        /// 消费金额  
        /// </summary>
        [SugarColumn(ColumnDescription = "消费金额")]
        public double? Charge { get; set; }

        /// <summary>
        /// 商家名称  
        /// </summary>
        [SugarColumn(ColumnDescription = "商家名称", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string BusinessName { get; set; }

        /// <summary>
        /// 商家地址  
        /// </summary>
        [SugarColumn(ColumnDescription = "商家地址", ColumnDataType = "varchar(500)", IsNullable = true)]
        public string BusunessAddr { get; set; }

        /// <summary>
        /// 收货人  
        /// </summary>
        [SugarColumn(ColumnDescription = "收货人", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string ReceivePerson { get; set; }

        /// <summary>
        /// 收货人地址  
        /// </summary>
        [SugarColumn(ColumnDescription = "收货人地址", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string ReceiveAddr { get; set; }
    }
}
