﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.Extend
{
    /// <summary>
    /// 12366投诉表单
    /// </summary>
    [Description("12366投诉表单")]
    public class FormTaxationComplaint : FullStateEntity
    {
        /// <summary>
        /// 扩展主表ID  
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(50)")]
        public string RCEId { get; set; }

        /// <summary>
        /// 主管税务机关（问题归属地）  
        /// </summary>
        [SugarColumn(ColumnDescription = "主管税务机关（问题归属地）", ColumnDataType = "varchar(500)", IsNullable = true)]
        public string TaxAuthority { get; set; }

        /// <summary>
        /// 被投诉单位或个人信息  
        /// </summary>
        [SugarColumn(ColumnDescription = "被投诉单位或个人信息", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string ComplaintSubject { get; set; }

        /// <summary>
        /// 投诉类型  
        /// </summary>
        [SugarColumn(ColumnDescription = "投诉类型", ColumnDataType = "varchar(10)", IsNullable = true)]
        public string ComplaintType { get; set; }

    }
}
