﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.Extend
{
    /// <summary>
    /// 服务工单拓展信息表
    /// </summary>
    [Description("服务工单拓展信息表")]
    public class ReceiveCaseExtends : FullStateEntity
    {
        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 表单类型
        /// </summary>
        [SugarColumn(ColumnDescription = "表单类型", ColumnDataType = "varchar(50)")]
        public string FormType { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";

        /// <summary>
        ///推送方向 1：市州数据向省上推送；2：省上数据向市州推送；
        /// </summary>
        [SugarColumn(ColumnDescription = "推送方向 1：市州数据向省上推送；2：省上数据向市州推送；", ColumnDataType = "varchar(1)")]
        public string Direction { get; set; }
    }
}
