﻿using SqlSugar;
using XF.Domain.Repository;

namespace Sharing.Province.HuiJu
{  
    /// <summary>
   /// 基础数据
   /// </summary>
    public class SendBaseResult : FullStateEntity
    {
        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";
    }

  /// <summary>
  /// 
  /// </summary>
    public class SendOrderResult : SendBaseResult
    {
        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }
    }

    /// <summary>
    /// 全量数据
    /// </summary>
    public class BaseSendAllResult : SendOrderResult
    {
        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string CliengGuid { get; set; }
    }
}
