﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.HuiJu.Send
{
    /// <summary>
    /// 服务工单处理过程
    /// </summary>
    [Description("服务工单处理过程")]
    public class SubmitCaseProcess : BaseSendAllResult
    {
        /// <summary>
        /// 处理部门
        /// </summary>
        [SugarColumn(ColumnDescription = "处理部门", ColumnDataType = "varchar(200)")]
        public string DeptName { get; set; }

        /// <summary>
        /// 环节名称
        /// </summary>
        [SugarColumn(ColumnDescription = "环节名称", ColumnDataType = "varchar(50)")]
        public string TacheName { get; set; }

        /// <summary>
        /// 处理时间
        /// </summary>
        [SugarColumn(ColumnDescription = "处理时间")]
        public DateTime? ProcessTime { get; set; }

        /// <summary>
        /// 处理人员
        /// </summary>
        [SugarColumn(ColumnDescription = "处理人员", ColumnDataType = "varchar(100)")]
        public string ProcessName { get; set; }

        /// <summary>
        /// 处理意见
        /// </summary>
        [SugarColumn(ColumnDescription = "处理意见", ColumnDataType = "text")]
        public string ProcessNote { get; set; }

        /// <summary>
        /// 办理部门所在区、市、县行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "办理部门所在区、市、县行政区划代码", ColumnDataType = "varchar(24)")]
        public string EndAreaCode { get; set; }

        /// <summary>
        /// 办理部门所在区、市、县行政区划名称
        /// </summary>
        [SugarColumn(ColumnDescription = "办理部门所在区、市、县行政区划名称", ColumnDataType = "varchar(24)")]
        public string EndAreaName { get; set; }

        /// <summary>
        /// 过程记录唯一标识
        /// </summary>
        [SugarColumn(ColumnDescription = "过程记录唯一标识", ColumnDataType = "varchar(50)")]
        public string CaseId { get; set; }
    }
}
