﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.HuiJu.Send
{
    /// <summary>
    /// 电话记录
    /// </summary>
    [Description("电话记录")]
    public class SubmitCaseRecord : SendOrderResult
    {
        /// <summary>
        /// 电话号码
        /// </summary>
        [SugarColumn(ColumnDescription = "电话号码", ColumnDataType = "varchar(50)")]
        public string PhoneNumber { get; set; }

        /// <summary>
        /// 通话状态
        /// </summary>
        [SugarColumn(ColumnDescription = "通话状态", ColumnDataType = "varchar(16)")]
        public string PhoneStatus { get; set; }

        /// <summary>
        /// 是否呼出
        /// </summary>
        [SugarColumn(ColumnDescription = "是否呼出", ColumnDataType = "varchar(16)")]
        public string IsPhoneCall { get; set; }

        /// <summary>
        /// 接通电话时间
        /// </summary>
        [SugarColumn(ColumnDescription = "接通电话时间")]
        public DateTime? CallStart { get; set; }

        /// <summary>
        /// 通话结束时间
        /// </summary>
        [SugarColumn(ColumnDescription = "通话结束时间")]
        public DateTime? CallEnd { get; set; }

        /// <summary>
        /// 进ivr时间
        /// </summary>
        [SugarColumn(ColumnDescription = "进ivr时间")]
        public DateTime? InIvr { get; set; }

        /// <summary>
        /// 进队列时间
        /// </summary>
        [SugarColumn(ColumnDescription = "进队列时间")]
        public DateTime? InQueue { get; set; }

        /// <summary>
        /// 振铃时间
        /// </summary>
        [SugarColumn(ColumnDescription = "振铃时间")]
        public DateTime? CallTime { get; set; }

        /// <summary>
        /// 通话时长
        /// </summary>
        [SugarColumn(ColumnDescription = "通话时长")]
        public int CallLength { get; set; }

        /// <summary>
        /// 坐席人员工号
        /// </summary>
        [SugarColumn(ColumnDescription = "坐席人员工号", ColumnDataType = "varchar(16)")]
        public string SeatNumber { get; set; }

        /// <summary>
        /// 录音路径
        /// </summary>
        [SugarColumn(ColumnDescription = "录音路径", ColumnDataType = "varchar(200)")]
        public string AccordUrl { get; set; }
    }
}
