﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.HuiJu.Send
{
    /// <summary>
    /// 服务工单处理结果
    /// </summary>
    [Description("服务工单处理结果")]
    public class SubmitCaseResult : BaseSendAllResult
    {
        /// <summary>
        /// 答复单位
        /// </summary>
        [SugarColumn(ColumnDescription = "答复单位", ColumnDataType = "varchar(200)")]
        public string DeptName { get; set; }

        /// <summary>
        /// 答复时间
        /// </summary>
        [SugarColumn(ColumnDescription = "答复时间")]
        public DateTime? FinishTime { get; set; }

        /// <summary>
        /// 答复人员
        /// </summary>
        [SugarColumn(ColumnDescription = "答复人员", ColumnDataType = "varchar(200)")]
        public string FinishName { get; set; }

        /// <summary>
        /// 办理情况
        /// </summary>
        [SugarColumn(ColumnDescription = "办理情况", ColumnDataType = "text")]
        public string FinishNote { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [SugarColumn(ColumnDescription = "办理单位", ColumnDataType = "varchar(200)")]
        public string EndDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [SugarColumn(ColumnDescription = "办理人员", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string EndName { get; set; }

        /// <summary>
        /// 联系时间
        /// </summary>
        [SugarColumn(ColumnDescription = "联系时间")]
        public DateTime? ConcactTime { get; set; }

        /// <summary>
        /// 联系方式
        /// </summary>
        [SugarColumn(ColumnDescription = "联系方式", ColumnDataType = "varchar(50)")]
        public string ConcactType { get; set; }

        /// <summary>
        /// 办理操作
        /// </summary>
        [SugarColumn(ColumnDescription = "办理操作", ColumnDataType = "varchar(10)")]
        public string FinishType { get; set; }

        /// <summary>
        /// 办理时长
        /// </summary>
        [SugarColumn(ColumnDescription = "办理时长")]
        public Double HandleTimeLong { get; set; }

        /// <summary>
        /// 应签收时间
        /// </summary>
        [SugarColumn(ColumnDescription = "应签收时间")]
        public DateTime? SignTimeBf { get; set; }

        /// <summary>
        /// 签收时间
        /// </summary>
        [SugarColumn(ColumnDescription = "签收时间")]
        public DateTime? SignTime { get; set; }

        /// <summary>
        /// 应反馈时间
        /// </summary>
        [SugarColumn(ColumnDescription = "应反馈时间")]
        public DateTime? FdBackTime_Bf { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈时间")]
        public DateTime? FdBackTime { get; set; }

        /// <summary>
        /// 交办时间
        /// </summary>
        [SugarColumn(ColumnDescription = "交办时间")]
        public DateTime? SendTime { get; set; }

        /// <summary>
        /// 反馈意见
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈意见", ColumnDataType = "text")]
        public string FdBack { get; set; }

        /// <summary>
        /// 办结单位所在区县区域代码
        /// </summary>
        [SugarColumn(ColumnDescription = "办结单位所在区县区域代码", ColumnDataType = "varchar(50)")]
        public string EndAreaCode { get; set; }

        /// <summary>
        /// 办结单位所在区县名称
        /// </summary>
        [SugarColumn(ColumnDescription = "办结单位所在区县名称", ColumnDataType = "varchar(50)")]
        public string EndAreaName { get; set; }

        /// <summary>
        /// 工单办理过程中交办单位
        /// </summary>
        [SugarColumn(ColumnDescription = "工单办理过程中交办单位", ColumnDataType = "varchar(255)")]
        public string BeiZhu { get; set; }

    }
}
