﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.HuiJu.Send
{
    /// <summary>
    /// 统计数据
    /// </summary>
    [Description("统计数据")]
    public class SubmitCaseTotal : FullStateEntity
    {
        /// <summary>
        /// 坐席数（个）
        /// </summary>
        [SugarColumn(ColumnDescription = "坐席数（个）")]
        public int SEATNUM { get; set; }

        /// <summary>
        /// 坐席话务员数（个）
        /// </summary>
        [SugarColumn(ColumnDescription = "坐席话务员数（个）")]
        public int SEATHWYNUM { get; set; }

        /// <summary>
        /// 催办总量
        /// </summary>
        [SugarColumn(ColumnDescription = "催办总量")]
        public int CBZL { get; set; }

        /// <summary>
        /// 上报日期
        /// </summary>
        [SugarColumn(ColumnDescription = "上报日期")]
        public DateTime? SUBMIT_DATE { get; set; } = DateTime.Now;

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AREA_CODE { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";
    }
}
