﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.HuiJu.Send
{
    /// <summary>
    /// 服务工单回访评价
    /// </summary>
    [Description("服务工单回访评价")]
    public class SubmitVisitInfo : BaseSendAllResult
    {
        /// <summary>
        /// 回访评价方式
        /// </summary>
        [SugarColumn(ColumnDescription = "回访评价方式", ColumnDataType = "varchar(50)")]
        public string VisitType { get; set; }

        /// <summary>
        /// 回访人员
        /// </summary>
        [SugarColumn(ColumnDescription = "回访人员", ColumnDataType = "varchar(200)")]
        public string VisitName { get; set; }

        /// <summary>
        /// 回访时间
        /// </summary>
        [SugarColumn(ColumnDescription = "回访时间")]
        public DateTime? VisitTime { get; set; }

        /// <summary>
        /// 回访评价情况
        /// </summary>
        [SugarColumn(ColumnDescription = "回访评价情况", ColumnDataType = "varchar(1000)")]
        public string VisitRemark { get; set; }

        /// <summary>
        /// 回访结果满意度
        /// </summary>
        [SugarColumn(ColumnDescription = "回访结果满意度", ColumnDataType = "varchar(4)")]
        public string SubjectResultSatify { get; set; }

        /// <summary>
        /// 工单回访首次结果满意度
        /// </summary>
        [SugarColumn(ColumnDescription = "工单回访首次结果满意度", ColumnDataType = "varchar(4)")]
        public string FirstSatisfaction { get; set; }
    }
}
