﻿using Sharing.Province.HuiJu;
using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Knowledge
{
    /// <summary>
    /// 知识库变更    
    /// </summary>
    [Description("知识库变更")]
    public class GetKnowledgeInfoUpdate : SendBaseResult
    {
        /// <summary>
        /// 知识类别code
        /// </summary>
        [SugarColumn(ColumnDescription = "知识类别code", ColumnDataType = "varchar(50)")]
        public string CategoryCode { get; set; }

        /// <summary>
        /// 知识类别名称
        /// </summary>
        [SugarColumn(ColumnDescription = "知识类别名称", ColumnDataType = "varchar(50)")]
        public string CategoryName { get; set; }

        /// <summary>
        /// 发布人
        /// </summary>
        [SugarColumn(ColumnDescription = "发布人", ColumnDataType = "varchar(50)")]
        public string PublishPerson { get; set; }

        /// <summary>
        /// 所属部门名称
        /// </summary>
        [SugarColumn(ColumnDescription = "所属部门名称", ColumnDataType = "varchar(200)")]
        public string OuName { get; set; }

        /// <summary>
        /// 知识名称
        /// </summary>
        [SugarColumn(ColumnDescription = "知识名称", ColumnDataType = "varchar(200)")]
        public string KName { get; set; }

        /// <summary>
        /// 知识内容
        /// </summary>
        [SugarColumn(ColumnDescription = "知识内容", ColumnDataType = "text")]
        public string KContent { get; set; }

        /// <summary>
        /// 发布日期
        /// </summary>
        [SugarColumn(ColumnDescription = "发布日期")]
        public DateTime? CreatDate { get; set; }

        /// <summary>
        /// 生效时间
        /// </summary>
        [SugarColumn(ColumnDescription = "生效时间")]
        public DateTime? BeginDate { get; set; }

        /// <summary>
        /// 失效时间
        /// </summary>
        [SugarColumn(ColumnDescription = "失效时间")]
        public DateTime? DisableDate { get; set; }

        /// <summary>
        /// 上报知识唯一标识
        /// </summary>
        [SugarColumn(ColumnDescription = "上报知识唯一标识", ColumnDataType = "varchar(50)")]
        public string UID { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string CliengGuid { get; set; }
    }
}
