﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单延时审核结果
    /// </summary>
    [Description("服务工单延时审核结果")]
    public class DelayCaseResult : BaseResult
    {
        /// <summary>
        /// 审核结果
        /// </summary>
        [SugarColumn(ColumnDescription = "审核结果", ColumnDataType = "varchar(10)")]
        public string AuditResult { get; set; }

        /// <summary>
        /// 审核意见
        /// </summary>
        [SugarColumn(ColumnDescription = "审核意见", ColumnDataType = "text")]
        public string AuditOpinion { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        [SugarColumn(ColumnDescription = "审核时间")]
        public DateTime? AuditTime { get; set; }

        /// <summary>
        /// 审核部门
        /// </summary>
        [SugarColumn(ColumnDescription = "审核部门", ColumnDataType = "varchar(200)")]
        public string AuditOuname { get; set; }

        /// <summary>
        /// 审核人
        /// </summary>
        [SugarColumn(ColumnDescription = "审核人", ColumnDataType = "varchar(50)")]
        public string AuditPerson { get; set; }

    }
}
