﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单退回反馈
    /// </summary>
    [Description("服务工单退回反馈")]
    public class GetCaseBackResult : BaseResult
    {
        /// <summary>
        /// 办理操作
        /// </summary>
        [SugarColumn(ColumnDescription = "办理操作", ColumnDataType = "varchar(10)")]
        public string BackType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [SugarColumn(ColumnDescription = "办理单位", ColumnDataType = "varchar(200)")]
        public string DealDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [SugarColumn(ColumnDescription = "办理人员", ColumnDataType = "varchar(200)")]
        public string DealName { get; set; }

        /// <summary>
        /// 退回反馈时间
        /// </summary>
        [SugarColumn(ColumnDescription = "退回反馈时间")]
        public DateTime? ApplyTime { get; set; }

        /// <summary>
        /// 是否同意退回
        /// </summary>
        [SugarColumn(ColumnDescription = "是否同意退回")]
        public bool Result { get; set; }

        /// <summary>
        /// 退回原因
        /// </summary>
        [SugarColumn(ColumnDescription = "退回原因", ColumnDataType = "text")]
        public string Reason { get; set; }
    }
}
