﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Receive
{
    /// <summary>
    /// 上报工单处理结果/退回
    /// </summary>
    [Description("上报工单处理结果/退回")]
    public class GetCaseReultSend : BaseResult
    {
        /// <summary>
        /// 答复单位
        /// </summary>
        [SugarColumn(ColumnDescription = "答复单位", ColumnDataType = "varchar(200)")]
        public string DeptName { get; set; }

        /// <summary>
        /// 答复时间
        /// </summary>
        [SugarColumn(ColumnDescription = "答复时间")]
        public DateTime? FinishTime { get; set; }

        /// <summary>
        /// 答复人员
        /// </summary>
        [SugarColumn(ColumnDescription = "答复人员", ColumnDataType = "varchar(200)")]
        public string FinishName { get; set; }

        /// <summary>
        /// 办理情况
        /// </summary>
        [SugarColumn(ColumnDescription = "办理情况", ColumnDataType = "text")]
        public string FinishNote { get; set; }

        /// <summary>
        /// 办理操作
        /// </summary>
        [SugarColumn(ColumnDescription = "办理操作", ColumnDataType = "varchar(10)")]
        public string FinishType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [SugarColumn(ColumnDescription = "办理单位", ColumnDataType = "varchar(200)")]
        public string EndDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [SugarColumn(ColumnDescription = "办理人员", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string EndName { get; set; }

        /// <summary>
        /// 联系时间
        /// </summary>
        [SugarColumn(ColumnDescription = "联系时间", IsNullable = true)]
        public DateTime? ConcactTime { get; set; }

        /// <summary>
        /// 联系方式
        /// </summary>
        [SugarColumn(ColumnDescription = "联系方式", ColumnDataType = "varchar(50)")]
        public string ConcactType { get; set; }

        /// <summary>
        /// 签收时间
        /// </summary>
        [SugarColumn(ColumnDescription = "签收时间")]
        public DateTime? SignTime { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈时间")]
        public DateTime? FdBackTime { get; set; }

        /// <summary>
        /// 交办时间
        /// </summary>
        [SugarColumn(ColumnDescription = "交办时间")]
        public DateTime? SendTime { get; set; }

        /// <summary>
        /// 反馈意见
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈意见", ColumnDataType = "text")]
        public string FdBack { get; set; }

        /// <summary>
        /// 办理时长
        /// </summary>
        [SugarColumn(ColumnDescription = "办理时长")]
        public decimal? HandletimeLong { get; set; }

        /// <summary>
        /// 任务单关联 guid
        /// </summary>
        [SugarColumn(ColumnDescription = "任务单关联 guid", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string TrowGuid { get; set; }

        /// <summary>
        /// 退回类型
        /// </summary>
        [SugarColumn(ColumnDescription = "退回类型", ColumnDataType = "varchar(20)", IsNullable = true)]
        public string BackType { get; set; }
    }
}
