﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单撤单
    /// </summary>
    [Description("服务工单撤单")]
    public class RevokeCaseInfo : BaseResult
    {
        /// <summary>
        /// 撤单时间
        /// </summary>
        [SugarColumn(ColumnDescription = "撤单时间")]
        public DateTime? RevokeTime { get; set; }

        /// <summary>
        /// 撤单类型
        /// </summary>
        [SugarColumn(ColumnDescription = "撤单类型", ColumnDataType = "varchar(24)")]
        public string RevokeType { get; set; }

        /// <summary>
        /// 操作人员
        /// </summary>
        [SugarColumn(ColumnDescription = "操作人员", ColumnDataType = "varchar(200)")]
        public string RevokeName { get; set; }

        /// <summary>
        /// 撤单理由
        /// </summary>
        [SugarColumn(ColumnDescription = "撤单理由", ColumnDataType = "text")]
        public string RevokeReasion { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        ///推送方向 1：市州数据向省上推送；2：省上数据向市州推送；
        /// </summary>
        [SugarColumn(ColumnDescription = "推送方向 1：市州数据向省上推送；2：省上数据向市州推送；", ColumnDataType = "varchar(1)")]
        public string Direction { get; set; }
    }
}
