﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.XieTong.Receive
{
    /// <summary>
    /// 督办工单派发
    /// </summary>
    [Description("督办工单派发")]
    public class SendSuperviseInfo : FullStateEntity
    {
        /// <summary>
        /// 督办编号
        /// </summary>
        [SugarColumn(ColumnDescription = "督办编号", ColumnDataType = "varchar(50)")]
        public string SuperviseSerial { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 督办标题
        /// </summary>
        [SugarColumn(ColumnDescription = "督办标题", ColumnDataType = "varchar(50)")]
        public string SuperviseTitle { get; set; }

        /// <summary>
        /// 督办内容
        /// </summary>
        [SugarColumn(ColumnDescription = "督办内容", ColumnDataType = "text")]
        public string SuperviseContent { get; set; }

        /// <summary>
        /// 督办发起人
        /// </summary>
        [SugarColumn(ColumnDescription = "督办发起人", ColumnDataType = "varchar(50)")]
        public string SupervisePerson { get; set; }

        /// <summary>
        /// 督办发起时间
        /// </summary>
        [SugarColumn(ColumnDescription = "督办发起时间")]
        public DateTime? SuperviseTime { get; set; }

        /// <summary>
        /// 督办发起单位
        /// </summary>
        [SugarColumn(ColumnDescription = "督办发起单位", ColumnDataType = "varchar(200)")]
        public string SuperviseSendDept { get; set; }

        /// <summary>
        /// 被督办单位
        /// </summary>
        [SugarColumn(ColumnDescription = "被督办单位", ColumnDataType = "varchar(200)")]
        public string SuperviseRsvDept { get; set; }

        /// <summary>
        /// 督办类型
        /// </summary>
        [SugarColumn(ColumnDescription = "督办类型", ColumnDataType = "varchar(10)")]
        public string SuperviseType { get; set; }

        /// <summary>
        /// 督办反馈截止时间
        /// </summary>
        [SugarColumn(ColumnDescription = "督办反馈截止时间")]
        public DateTime? SuperviseReturnDate { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "督办类型", ColumnDataType = "varchar(50)")]
        public string CliengGuid { get; set; }
    }
}
