﻿using Sharing.Province.HuiJu;
using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单交办处理过程 
    /// </summary>
    [Description("服务工单交办处理过程")]
    public class GetCaseProcessReceive : BaseSendAllResult
    {
        /// <summary>
        /// 处理部门
        /// </summary>
        [SugarColumn(ColumnDescription = "处理部门", ColumnDataType = "varchar(200)")]
        public string DeptName { get; set; }

        /// <summary>
        /// 环节名称
        /// </summary>
        [SugarColumn(ColumnDescription = "环节名称", ColumnDataType = "varchar(50)")]
        public string TacheName { get; set; }

        /// <summary>
        /// 处理时间
        /// </summary>
        [SugarColumn(ColumnDescription = "处理时间")]
        public DateTime? ProcessTime { get; set; }

        /// <summary>
        /// 处理人员
        /// </summary>
        [SugarColumn(ColumnDescription = "处理人员", ColumnDataType = "varchar(100)")]
        public string ProcessName { get; set; }

        /// <summary>
        /// 处理意见
        /// </summary>
        [SugarColumn(ColumnDescription = "处理意见", ColumnDataType = "text")]
        public string ProcessNote { get; set; }

        /// <summary>
        /// 办理部门所在区、市、县行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "办理部门所在区、市、县行政区划代码", ColumnDataType = "varchar(24)")]
        public string EndAreacode { get; set; }

        /// <summary>
        /// 办理部门所在区、市、县行政区划名称
        /// </summary>
        [SugarColumn(ColumnDescription = "办理部门所在区、市、县行政区划名称", ColumnDataType = "varchar(24)")]
        public string EndAreaname { get; set; }

        /// <summary>
        /// 任务关联单 guid
        /// </summary>
        [SugarColumn(ColumnDescription = "任务关联单 guid", ColumnDataType = "varchar(50)")]
        public string TrowGuid { get; set; }
    }
}
