﻿using Sharing.Province.HuiJu;
using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单交办处理结果
    /// </summary>
    [Description("服务工单交办处理结果")]
    public class GetCaseResultReceive : BaseSendAllResult
    {
        /// <summary>
        /// 答复单位
        /// </summary>
        [SugarColumn(ColumnDescription = "答复单位", ColumnDataType = "varchar(200)")]
        public string DeptName { get; set; }

        /// <summary>
        /// 答复时间
        /// </summary>
        [SugarColumn(ColumnDescription = "答复时间")]
        public DateTime? FinishTime { get; set; }

        /// <summary>
        /// 答复人员
        /// </summary>
        [SugarColumn(ColumnDescription = "答复人员", ColumnDataType = "varchar(200)")]
        public string FinishName { get; set; }

        /// <summary>
        /// 办理情况
        /// </summary>
        [SugarColumn(ColumnDescription = "办理情况", ColumnDataType = "text")]
        public string FinishNote { get; set; }

        /// <summary>
        /// 办理操作
        /// </summary>
        [SugarColumn(ColumnDescription = "办理操作", ColumnDataType = "varchar(10)")]
        public string FinishType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [SugarColumn(ColumnDescription = "办理单位", ColumnDataType = "varchar(200)")]
        public string EndDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [SugarColumn(ColumnDescription = "办理人员", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string EndName { get; set; }

        /// <summary>
        /// 联系时间
        /// </summary>
        [SugarColumn(ColumnDescription = "联系时间")]
        public DateTime? ConcactTime { get; set; }

        /// <summary>
        /// 联系方式
        /// </summary>
        [SugarColumn(ColumnDescription = "联系方式", ColumnDataType = "varchar(50)")]
        public string ConcactType { get; set; }

        /// <summary>
        /// 办理时长
        /// </summary>
        [SugarColumn(ColumnDescription = "办理时长")]
        public decimal HandleTimeLong { get; set; }

        /// <summary>
        /// 签收时间
        /// </summary>
        [SugarColumn(ColumnDescription = "签收时间")]
        public DateTime? SignTime { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈时间")]
        public DateTime? FdBackTime { get; set; }

        /// <summary>
        /// 交办时间
        /// </summary>
        [SugarColumn(ColumnDescription = "交办时间")]
        public DateTime? SendTime { get; set; }

        /// <summary>
        /// 反馈意见
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈意见", ColumnDataType = "text")]
        public string FdBack { get; set; }

        /// <summary>
        /// 区县区域代码
        /// </summary>
        [SugarColumn(ColumnDescription = "区县区域代码", ColumnDataType = "varchar(50)")]
        public string EndAreaCode { get; set; }

        /// <summary>
        /// 区县区域名称
        /// </summary>
        [SugarColumn(ColumnDescription = "区县区域名称", ColumnDataType = "varchar(50)")]
        public string EndAreaName { get; set; }

        /// <summary>
        /// 工单办理过程中交办单位
        /// </summary>
        [SugarColumn(ColumnDescription = "工单办理过程中交办单位", ColumnDataType = "varchar(200)")]
        public string BeiZhu { get; set; }

        /// <summary>
        /// 统一社会信用代码
        /// </summary>
        [SugarColumn(ColumnDescription = "统一社会信用代码", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string OperateDeptCode { get; set; }

        /// <summary>
        /// 任务单关联 guid
        /// </summary>
        [SugarColumn(ColumnDescription = "任务单关联 guid", ColumnDataType = "varchar(50)")]
        public string TrowGuid { get; set; }

        /// <summary>
        /// 是否提供公开答复口径
        /// </summary>
        [SugarColumn(ColumnDescription = "是否提供公开答复口径", ColumnDataType = "varchar(2)")]
        public string MsgOpenByArea { get; set; }

        /// <summary>
        /// 地方不公开处理结果原因
        /// </summary>
        [SugarColumn(ColumnDescription = "地方不公开处理结果原因", ColumnDataType = "varchar(1000)", IsNullable = true)]
        public string AreaNotPublicReason { get; set; }

        /// <summary>
        /// 地方公开答复口径
        /// </summary>
        [SugarColumn(ColumnDescription = "地方公开答复口径", ColumnDataType = "varchar(1000)", IsNullable = true)]
        public string FeedBackAnswerContent { get; set; }

        /// <summary>
        /// 反馈人电话号码
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈人电话号码", ColumnDataType = "varchar(11)", IsNullable = true)]
        public string FeedBackTel { get; set; }
    }
}
