﻿using Sharing.Province.HuiJu;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.XieTong.Send
{
    /// <summary>
    /// 实时服务上报    
    /// </summary>
    [Description("实时服务上报")]
    public class SendRealTimeStatus : SendBaseResult
    {
        /// <summary>
        /// 热线标识
        /// </summary>
        [SugarColumn(ColumnDescription = "热线标识", ColumnDataType = "varchar(24)")]
        public string HotLine { get; set; }

        /// <summary>
        /// 行政区划名称
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划名称", ColumnDataType = "varchar(24)")]
        public string AreaName { get; set; }

        /// <summary>
        /// 在线服务代表数
        /// </summary>
        [SugarColumn(ColumnDescription = "在线服务代表数")]
        public int CrntSeatNum { get; set; }

        /// <summary>
        /// 通话服务代表数
        /// </summary>
        [SugarColumn(ColumnDescription = "通话服务代表数")]
        public int CrntTelNum { get; set; }

        /// <summary>
        /// 今日诉求总量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日诉求总量")]
        public int TdyNum { get; set; }

        /// <summary>
        /// 今日电话诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日电话诉求量")]
        public int TdyTelNum { get; set; }

        /// <summary>
        /// 今日政务服务网诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日政务服务网诉求量")]
        public int TdyZwNum { get; set; }

        /// <summary>
        /// 今日网站诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日网站诉求量")]
        public int TdyWzNum { get; set; }

        /// <summary>
        /// 今日微信诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日微信诉求量")]
        public int TdyWxNum { get; set; }

        /// <summary>
        /// 今日APP诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日APP诉求量")]
        public int TdyApNum { get; set; }

        /// <summary>
        /// 今日其他诉求量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日其他诉求量")]
        public int TdyOtNum { get; set; }

        /// <summary>
        /// 今日电话接通率
        /// </summary>
        [SugarColumn(ColumnDescription = "今日电话接通率")]
        public double TdyTelRate { get; set; }

    }
}
