﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单督办过程    
    /// </summary>
    [Description("服务工单督办过程")]
    public class SendSuperviseProcessInfo : FullStateEntity
    {
        /// <summary>
        /// 督办编号
        /// </summary>
        [SugarColumn(ColumnDescription = "督办编号", ColumnDataType = "varchar(50)")]
        public string SuperviseSerial { get; set; }

        /// <summary>
        /// 反馈人姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈人姓名", ColumnDataType = "varchar(200)")]
        public string ReplyName { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈时间")]
        public DateTime? ReplyTime { get; set; }

        /// <summary>
        /// 反馈意见
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈意见", ColumnDataType = "text")]
        public string ReplyOpinion { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(20)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";
    }
}
